Page MenuHomePhabricator

Specific JPEG file on upload.wikimedia.org returns Content-Type: application/x-www-form-urlencoded
Closed, ResolvedPublic

Description

https://upload.wikimedia.org/wikipedia/mediawiki/6/69/Hesaidsemanticga2.jpg for me returns a bogus Content-Type of application/x-www-form-urlencoded:

Date	"Sun, 13 Aug 2017 20:33:46 GMT"
Content-Type	"application/x-www-form-urlencoded"
Content-Length	"28040"
x-object-meta-sha1base36	"ksc4w1lq05v1s8as9oocp29r8y9f42s"
Last-Modified	 "Tue, 30 May 2017 10:59:46 GMT"
Etag	"580ee0022bdec87e03f9e1d4871da61f"
x-timestamp	"1496141985.24579"
x-content-dimensions	"500x242:1"
x-trans-id	"txf9958e55d4c240c2bc9c8-005990b69e"
x-varnish	"173240918 173494701, 402371681 402931080"
Via	"1.1 varnish-v4, 1.1 varnish-v4"
Age	"266"
X-Cache	"cp1063 hit/4, cp1050 hit/3"
x-cache-status	"hit"
Strict-Transport-Security	"max-age=31536000; includeSubDomains; preload"
x-analytics	"WMF-Last-Access-Global=13-Aug-2017;https=1"
x-client-ip	"207.134.107.2"
Access-Control-Allow-Origin	"*"
access-control-expose-headers	"Age, Date, Content-Length, Co…Duration, X-Cache, X-Varnish"
Timing-Allow-Origin	"*"
Accept-Ranges	"bytes"
X-Firefox-Spdy	 "h2"

Request headers (0 B)	
Host	"upload.wikimedia.org"
User-Agent	"Mozilla/5.0 (Macintosh; Intel… Gecko/20100101 Firefox/54.0"
Accept	 "text/html,application/xhtml+x…lication/xml;q=0.9,*/*;q=0.8"
Accept-Language	"en-US,en;q=0.5"
Accept-Encoding	"gzip, deflate, br"
Cookie	"WMF-Last-Access-Global=13-Aug…GeoIP=CA:ON::43.67:-79.42:v4"
Connection	"keep-alive"
Upgrade-Insecure-Requests	"1"

Event Timeline

brion created this task.Aug 13 2017, 8:37 PM
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptAug 13 2017, 8:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I couldn't find the corresponding File: page for that file right away, anyways IIRC C-T is set by mediawiki at upload time. Something went wrong there on the last upload I presume? An interesting audit would be to check what C-T we're sending back for upload.w.o, for sure some types like that shouldn't be sent at all

Peachey88 removed a project: Commons.EditedAug 16 2017, 8:17 AM

The file hasn't been touched since 2011 (https://www.mediawiki.org/wiki/File:Hesaidsemanticga2.jpg#filehistory) but i'm fairly certain it has worked since then.

MarkTraceur triaged this task as Medium priority.Oct 23 2017, 4:23 PM
MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.
Cparle added a subscriber: Cparle.Nov 20 2017, 2:57 PM
Cparle added a comment.Dec 5 2017, 5:40 PM

@brion fixed by running the maintenance script for T178849. Look ok to you?

Cparle claimed this task.Dec 5 2017, 5:40 PM
brion added a comment.Dec 5 2017, 5:48 PM

Looks good!

Cparle closed this task as Resolved.Dec 5 2017, 5:49 PM

Resolving so, thanks @brion